export class PlatformManager {
  public static readonly PLATFORM_TYPE_TELEGRAM = "tg";
  public static readonly PLATFORM_TYPE_WEB = "web";

  private static _ins: PlatformManager = null!;

  public static get ins(): PlatformManager {
    return this._ins ??= new PlatformManager();
  }

  private platformType: string;
  public async getPlatformType(): Promise<string> {
    if (this.platformType) {
      return this.platformType;
    }

    return PlatformManager.PLATFORM_TYPE_WEB;
  }
}
